## com.lowagie.text.pdf
Class IntHashtable.Entry

    java.lang.Object
      com.lowagie.text.pdf.IntHashtable.Entry

Enclosing class:
  IntHashtable

    static class IntHashtable.Entry

extends java.lang.Object

Innerclass that acts as a datastructure to create a new entry in the table.

Field Summary
`(package private) int` `hash`
`(package private) int` `key`
`(package private) IntHashtable.Entry` `next`
`(package private) int` `value`

Constructor Summary
`protected` `IntHashtable.Entry(int hash, int key, int value, IntHashtable.Entry next)` Create a new entry with the given values.

Method Summary
`protected java.lang.Object` `clone()`
`int` `getKey()`
`int` `getValue()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hash

    int hash

### key

    int key

### value

    int value

### next

    IntHashtable.Entry next

Constructor Detail

### IntHashtable.Entry

    protected IntHashtable.Entry(int hash,
                                 int key,
                                 int value,
                                 IntHashtable.Entry next)

  Create a new entry with the given values.

  Parameters:
    `hash` - The code used to hash the int with
    `key` - The key used to enter this in the table
    `value` - The value for this key
    `next` - A reference to the next entry in the table

Method Detail

### getKey

    public int getKey()

### getValue

    public int getValue()

### clone

    protected java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

Hosted by Hostbasket